hungarian language phoneme is broken and unusable

Bug #623221 reported by Attila Hammer on 2010-08-24
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
eSpeak
Fix Released
Unknown
espeak (Ubuntu)
Undecided
Luke Yelavich

Bug Description

Binary package hint: espeak

Dear Developers,

Possible this bug is espeak-data package bug, I am not known full sure, please correct me if this is need.
When I downloading Maverick specific espeak source package, building and
installing my Lucid system, Espeak hungarian phoneme is full broken.
Short time and short texts I hear a distorted voice and
Speech-dispatcher Espeak module is not speaking.
If I use original espeak.sourceforge.net awailable
espeak-1.44.03-source.zip file, compiling and installing with normal
steps, Espeak working fine, hungarian voice is right working, and
Speech-dispatcher Espeak module not stop talking very long time.
I found possible some useful information why not working the Espeak
package right if I using hungarian voice under Lucid and unfortunately
Maverick:
When I compiled the Espeak package with my Lucid system, following file
have binary difference:
espeak-data/phondata
When I run following command with package source tree after compiling,
diff shows binary difference with this file:
diff espeak-data/phondata debian/espeak-data/usr/share/espeak-data/phondata
Why happening this?
This is not good I think.

Verify purpose this day morning I downloaded current Maverick dayly live CD and test
how works Espeak with original Maverick environment, my test result is
not good:
When I using Orca Screen Reader with english woice, I not see any problem. But when I
switch person with hungarian voice, I see all prewious described
problems, so this problem is not only Lucid specific unfortunately.
I maked two simple wave file with shows the voice wrong working
difference. I using following native Espeak command when I record this
two voice file in gnome-terminal:
espeak -v en "Hello! This is a test. I hope this text spokening is
good." -w text-en.wav
espeak -v hu "Hello! This is a test. I hope this text spokening is
good." -w text-hun.wav

If you try run in Maverick live cd with gnome-terminal the espeak -v hu
"Hello! This is a test. I hope this text spokening is good." command,
you hear the bad voice result.

I sending later attachment with two recorded wave file, one with english language voice and one with hungarian wrong phoneme voice.
This problem is always reproducable.

I verify original espeak.sourceforge.net website awailable stable
version this test, all test are passed, all voice text spokening is good
both two languages.

My bugreport toplevel I wroted Lucid example, because with longer time I would like upload new Espeak-1.44.03 package with my PPA the Lucid serias, because easyest using hungarian visual impaired users with normal package upgrade method. Espeak 1.44.03 hungarian language voice containing lot of language specific updates and corrections, but of course I known impossible to backport with Lucid officialy the Espeak 1.44.03 package.

Attila

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: espeak 1.44.03-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-17.23-generic 2.6.35.2
Uname: Linux 2.6.35-17-generic x86_64
Architecture: amd64
Date: Tue Aug 24 08:08:32 2010
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100823)
ProcEnviron:
 LANG=hu_HU.UTF-8
 SHELL=/bin/bash
SourcePackage: espeak

Related branches

Attila Hammer (hammera) wrote :
Attila Hammer (hammera) wrote :

This is an english recorded text message.

Attila Hammer (hammera) wrote :

This is a recorded test message with broken hungarian phoneme

Attila Hammer (hammera) wrote :

This patch remove following line with debian/rules file when Espeak source package building voice metadata:
 $(CURDIR)/platforms/big_endian/espeak-phoneme-data $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local $(CURDIR)/platforms/big_endian/phondata-manifest

I verifyed the modifyed version with my local machine under Lucid, hungarian voice is useful again, Espeak is stable now if I using Orca with hungarian voice.

Attila

tags: added: patch
arky (arky) wrote :

Submitted the patch to upstream debian http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594872

Changed in espeak (Ubuntu):
status: New → Triaged
arky (arky) on 2010-08-30
summary: - [Maverick] Espeak 1.44.03 Ubuntu packaged version the hungarian language
- phoneme is full broken and unusable
+ hungarian language phoneme is full broken and unusable
summary: - hungarian language phoneme is full broken and unusable
+ hungarian language phoneme is broken and unusable
tags: added: patch-forwarded-debian
removed: patch
arky (arky) wrote :

 Samuel on debian BTS responds "That would completely break espeak on big-endian architectures. We need
to find out why the hungarian files have troubles with the swapping."

On 30 Aug, arky <email address hidden> wrote:
> Samuel on debian BTS responds "That would completely break espeak on
> big-endian architectures. We need to find out why the hungarian files
> have troubles with the swapping."

I don't understand what the "debian/rules" file means, but the
espeak=phoneme-data program should only be used to convert the
little-endian version of espeak-data to a big-endian version for use on
big-endian systems.

espeak-data does not need conversion for use on little-endian systems.

Are you using the wrong endian version of espeak-data?

Attila Hammer (hammera) wrote :

Hy Jonathan,

If I understand right, when I compiling Maverick uploaded Espeak 1.44
packaged version with I386 or Amd64 architecture, the compilation
process run following command when building voice metadata, possible
need this command running only for big endian architectures:
$(CURDIR)/platforms/big_endian/espeak-phoneme-data
$(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local
$(CURDIR)/platforms/big_endian/phondata-manifest

If I remove this line, Espeak compiled right, not have differences with
espeak-data/phondata and target
debian/usr/share/espeak-data/usr/share/espeak-data/phondata file, and
modifyed Espeak package working right with I386 and Amd64 architectures
if I using hungarian voice. But this method is not good for big endian
architectures.
I not known entire: what architectures are big endian architectures
(Power PC, Alpha, etc)?

Samuel, oldest Espeak 1.43 package what method to use when building
voice metadata for little endian and big endian machines?

Attila

Attila Hammer (hammera) wrote :

Just a moment, I look.

Attila

Attila Hammer (hammera) wrote :

I do a package compilation with following way, first result is very good:
1. I run following command in /usr/src/espeak directory:
git clone git://git.debian.org/git/pkg-a11y/espeak.git
2. I navigate with espeak directory with following command:
cd espeak
3. Applyed Saumel Patch.
4. Run dpkg-buildpackage -b command.

Test results:
Espeak-data/phondata and espeak-data-local/phondata not producing binary
differences with target debian/usr/share/espeak-data/phondata file. When
I installed new packages, I not see any problem.

Attila

Luke Yelavich (themuso) on 2010-09-14
Changed in espeak (Ubuntu):
assignee: nobody → Luke Yelavich (themuso)
status: Triaged → In Progress
Jonathan Duddington (jonsd) wrote :

On 14 Sep, Luke Yelavich <email address hidden> wrote:
> ** Changed in: espeak (Ubuntu)
> Status: Triaged => In Progress
> ** Changed in: espeak (Ubuntu)
> Assignee: (unassigned) => Luke Yelavich (themuso)

> hungarian language phoneme is broken and unusable
> https://bugs.launchpad.net/bugs/623221

I have made an update to eSpeak 1.44.
Version 1.44.04 is now available at SourceForge.

This includes an fixed big-endian data converter
/platforms/big_endian/espeak-phoneme-data.c
which should fix this bug. I have run this on a little-endian machine
and confirmed that the output espeak-data/phondata,phontab,phonindex
files are identical to the originals.

Also some minor fixes to eSpeak and the language data.

Luke Yelavich (themuso) wrote :

On Wed, Sep 15, 2010 at 08:11:28AM EST, Jonathan Duddington wrote:
> On 14 Sep, Luke Yelavich <email address hidden> wrote:
> > ** Changed in: espeak (Ubuntu)
> > Status: Triaged => In Progress
> > ** Changed in: espeak (Ubuntu)
> > Assignee: (unassigned) => Luke Yelavich (themuso)
>
> > hungarian language phoneme is broken and unusable
> > https://bugs.launchpad.net/bugs/623221
>
> I have made an update to eSpeak 1.44.
> Version 1.44.04 is now available at SourceForge.
>
> This includes an fixed big-endian data converter
> /platforms/big_endian/espeak-phoneme-data.c
> which should fix this bug. I have run this on a little-endian machine
> and confirmed that the output espeak-data/phondata,phontab,phonindex
> files are identical to the originals.
>
> Also some minor fixes to eSpeak and the language data.

Unfortunately final freeze is a day away, so a new upstream wholesale is not possible, given that I need to get approval for doing so. Having said that, the changelog entry for this release shows mostly bug fixes, so should be ok to squeeze in.

Luke

>

Attila Hammer (hammera) wrote :

Hy Luke,

Your openion have a chance working Maverick the hungarian language
Espeak phoneme if not awailable the whole upstream upgrade if I
understand right your letter? What happening if you don't get approval
(this is possible)?

If this possibility is not awailable, perhaps not good way if you put
only Jonathan doed fixed /platforms/big_endian/espeak-phoneme-data.c
file with now awailable Espeak-1.44.03-0ubuntu2 packaged version? This
method is possible if fixing this bug now awailable Maverick packaged
Espeak version?

Sorry my possible beginner questions with freeze related, but I newer
see this problem with prewious versions and I don't experienced with
this freeze rights.

Attila

Colin Watson (cjwatson) wrote :

espeak (1.44.03-0ubuntu2) maverick; urgency=low

  * debian/patches/big-endian-fix.patch: Patch to fix an issue with the
    endian conversion utility used at package build time. This fixes reports of
    garbled Hungarian speech output (LP: #623221)

 -- Luke Yelavich <email address hidden> Tue, 14 Sep 2010 16:25:46 +1000

Changed in espeak (Ubuntu):
status: In Progress → Fix Released
Changed in espeak:
status: Unknown → Fix Committed
Changed in espeak:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.